package edu.nyu.scps.weathergrid;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.LinearLayout;
import android.widget.TextView;

/**
 * Created by mark on 5/7/15.
 */
public class ReportAdapter extends BaseAdapter {
    Context context;
    String[] date;
    int[] humidity;
    int[] temperature;

    public ReportAdapter(Context context, String[] date, int[] humidity, int[] temperature) {
        this.context = context;
        this.date = date;
        this.humidity = humidity;
        this.temperature = temperature;
    }

    @Override
    public int getCount() {
        return date.length;
    }

    @Override
    public Object getItem(int position) {
        return null;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        LinearLayout linearLayout;
        if (convertView != null) {
            linearLayout = (LinearLayout)convertView;
        } else {
            LayoutInflater inflater = LayoutInflater.from(context);
            linearLayout = (LinearLayout)inflater.inflate(R.layout.gridview_item, null);
        }

        TextView textView = (TextView)linearLayout.findViewById(R.id.title);
        textView.setText(date[position]);
        textView = (TextView) linearLayout.findViewById(R.id.humidity);
        textView.setText("Humidity " + humidity[position] + "%");
        textView = (TextView) linearLayout.findViewById(R.id.temperature);
        textView.setText("Max temp " + temperature[position] + "\u00B0 F");
        return linearLayout;
    }
}
